Recipients
Update recipient
Update a recipient. Any field you omit stays unchanged.
PUT
/
api
/
recipients
/
{id}
Update recipient
curl --request PUT \
--url https://api.example.com/api/recipients/{id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"businessName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"country": "<string>",
"phone": "<string>",
"address": {
"streetLine1": "<string>",
"streetLine2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"externalReference": {}
}
'import requests
url = "https://api.example.com/api/recipients/{id}"
payload = {
"email": "<string>",
"businessName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"country": "<string>",
"phone": "<string>",
"address": {
"streetLine1": "<string>",
"streetLine2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"externalReference": {}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
businessName: '<string>',
firstName: '<string>',
lastName: '<string>',
country: '<string>',
phone: '<string>',
address: {
streetLine1: '<string>',
streetLine2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>'
},
externalReference: {}
})
};
fetch('https://api.example.com/api/recipients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8b1a4c1d-7a3c-4a08-94ad-9f1ef1e0c3a2",
"email": "payments-new@acme-ph.com",
"isBusiness": true,
"businessName": "Acme Corp Philippines",
"country": "PH",
"currency": "PHP",
"transferType": "fiat",
"externalReference": { "vendor_id": "ACME-001" },
"status": "accepted",
"createdAt": "2026-06-09T10:00:00Z",
"updatedAt": "2026-06-09T11:30:00Z"
}
Omitted fields stay unchanged.
Scope
recipients:write · rate-limitedHeaders
string
required
API key.
Path parameters
string
required
UUID.
Request body
string
string
string
string
string
ISO 3166-1 alpha-2.
string
object
Replaces the stored map. Send
{} to clear.- Fiat (bank)
- Stablecoin (wallet)
string
"fiat"object[]
Full replacement. See Create recipient for per-rail fields.
Response
Same shape as Get recipient.{
"id": "8b1a4c1d-7a3c-4a08-94ad-9f1ef1e0c3a2",
"email": "payments-new@acme-ph.com",
"isBusiness": true,
"businessName": "Acme Corp Philippines",
"country": "PH",
"currency": "PHP",
"transferType": "fiat",
"externalReference": { "vendor_id": "ACME-001" },
"status": "accepted",
"createdAt": "2026-06-09T10:00:00Z",
"updatedAt": "2026-06-09T11:30:00Z"
}
⌘I
Update recipient
